
###
###  Copyright 2000-2008 University of Illinois Board of Trustees
###  All rights reserved.
###
###  01-use.t - test script for use(ing) PSGConf Modules.
###
###  Campus Information Technologies and Educational Services
###  University of Illinois at Urbana-Champaign
###

use Test;

use lib './t';
use t;

File::Find::find( { wanted => \&t::wanted }, 'lib' );

plan tests => scalar @t::found;

foreach $module (@t::found)
{

    ###
    ### Massage the file name to convert it into perl use syntax
    ###
    $module =~ s,^lib/,,;
    $module =~ s,/,::,g;
    $module =~ s/.pm$//;

    if ( $module =~ /PackageManager::RedHat/ && $^O ne 'linux' )
    {
        skip(
"Skip (modules that require RPM perl module only tested on linux systems)",
            0, 0, "Cannot load $module module: ($@)"
        );
    } else
    {
        eval "use $module ();";
        ok( $@, "", "Cannot load $module module: ($@)" );
    }
}
